## ros-kinetic-prosilica-camera 1.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(prosilica_camera)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.

find_package(catkin REQUIRED COMPONENTS 
   prosilica_gige_sdk
   roscpp
   std_msgs
   sensor_msgs
   diagnostic_updater
   image_transport
   self_test 
   driver_base
   rosconsole
   dynamic_reconfigure 
   camera_calibration_parsers 
   polled_camera)

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

# Generate dynamic parameters
generate_dynamic_reconfigure_options(cfg/ProsilicaCamera.cfg)

catkin_package()

add_library(prosilica src/libprosilica/prosilica.cpp)
target_link_libraries(prosilica ${catkin_LIBRARIES})

add_executable(prosilica_node src/nodes/prosilica_node.cpp)
target_link_libraries(prosilica_node 
   prosilica 
   ${Boost_LIBRARIES} 
   ${catkin_LIBRARIES})
add_dependencies(prosilica_node 
   ${catkin_EXPORTED_TARGETS}
   ${prosilica_camera_EXPORTED_TARGETS})

# disabled until it's mature??
#rosbuild_add_executable(find_camera find_camera.cpp)

add_executable(write_memory src/utilities/write_memory.cpp)
target_link_libraries(write_memory prosilica ${catkin_LIBRARIES})

add_executable(read_memory src/utilities/read_memory.cpp)
target_link_libraries(read_memory prosilica 
   ${catkin_LIBRARIES} 
   ${Boost_LIBRARIES})

add_executable(set_ip src/utilities/set_ip.cpp)
target_link_libraries(set_ip prosilica ${catkin_LIBRARIES})

add_executable(set_inhibition src/utilities/set_inhibition.cpp)
target_link_libraries(set_inhibition prosilica ${catkin_LIBRARIES})

install(TARGETS prosilica_node write_memory read_memory set_ip set_inhibition
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS prosilica
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES prosilica.launch streaming.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-prosilica-camera (1.9.4-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Austin Hendrix <namniart@gmail.com>  Tue, 17 Apr 2018 21:34:59 -0000

=== debian/control ===
Source: ros-kinetic-prosilica-camera
Section: misc
Priority: extra
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-camera-calibration-parsers, ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-driver-base, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-transport, ros-kinetic-polled-camera, ros-kinetic-prosilica-gige-sdk, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-self-test, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://www.ros.org/wiki/prosilica_camera
Standards-Version: 3.9.2

Package: ros-kinetic-prosilica-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-camera-calibration-parsers, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-driver-base, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-transport, ros-kinetic-polled-camera, ros-kinetic-prosilica-gige-sdk, ros-kinetic-roscpp, ros-kinetic-self-test, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: A ROS driver node for AVT/Prosilica Gigabit Ethernet (GigE) cameras.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-prosilica-camera//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
